#!/bin/sh

test -d out_products_2 || mkdir out_products_2

# test *here*
PRODUCTS=$UPD_DIR/test/out_ups_database 
UPD_USERCODE_DIR=$UPD_DIR/test
export PRODUCTS UPD_USERCODE_DIR
cd $UPD_DIR/test/product

# test relative and absolute table_dir
for flavor in "" "-f NULL" "-f IRIX"
do
  for table_dir in nosuch_table_dir table `pwd`/table
  do

    # test with and without table file
    for table_opt in "" "-M $table_dir -m hello.table" 
    do
     
      # test with and without home directory specified
      for home in "" "-r `pwd`/unwound_hello" 
      do
   
	# test with and without tarfile specified
	for tarfile in "" "-T `pwd`/hello.tar" 
	do

	  # test relative and absolute ups dir
	  for ups_dir in nosuch_ups helloups `pwd`/helloups
	  do

	    # test with and without ups dir
	    for updopt in "" "-U $ups_dir" 
	    do

	      for qualifiers in "" "-q testqual" 
	      do
		cmd="upd  addproduct hello v0_0 $table_opt $home $tarfile $updopt $flavor $qualifiers"
	        echo "----------------------------------------"
	        echo "Running: $cmd"
		if $cmd
		then
		  echo "Succeeded, installing..."
		  upd install hello v0_0 $flavor $qualifiers
		  echo "Succeeded, undeclaring..."
		  ups undeclare -y hello v0_0 $flavor $qualifiers
		  echo "Succeeded, delproduct-ing..."
		  upd delproduct hello v0_0 $flavor $qualifiers
		else
		  echo "Failed."
		fi
	      done
	    done
	  done
	done
      done
    done
  done
done
